# Vikunja

Vikunja ist als simple persönliche ToDo Liste gestartet und hat mittlerweile aber auch umfangreiche Funktionen mit Kanban oder Gantt Ansichten. Es hat ein modernes Design und lässt sich intuitiv bedienen.

## Allgemeine Informationen

* Website: https://vikunja.io/
* Demo: [vikunja.io](https://try.vikunja.io/login), [local-it](vikunja.demo.local-it.cloud) 
* Source Code: [kolaente.dev](https://kolaente.dev/vikunja/)
* [Dokumentation](https://vikunja.io/docs/)
* Lizenz: AGPLV3
* Programmiersprache: golang
* Geschäftsmodell: foss, hosting

## Technisch

### Installation

* coop-cloud recipe: [ja](https://git.coopcloud.tech/coop-cloud/vikunja)
* Docker: [image](https://hub.docker.com/u/vikunja), [Dockerfile](https://kolaente.dev/vikunja/api/src/branch/main/Dockerfile)
* Docker-Compose: [docker-example](https://vikunja.io/docs/full-docker-example/)
* Konfiguration via: config.yml
* API-Dokumentation: [v1](https://try.vikunja.io/api/v1/docs)
* Abhängigkeiten:
    * frontend / api
    * db: postgres
* Installationshinweise:
  * https://vikunja.io/docs/full-docker-example/#example-with-traefik-2


### Authentifizierung & SSO
openid connect, [authentik tutorial](https://goauthentik.io/integrations/services/vikunja/)

### Entwicklung

* Maintainership: Konrad Langenberg, Marurg
* Contributors: ~20
* Letzte Änderung: 23h
* Letzter Release / Zyklus: [0.18.1](https://kolaente.dev/vikunja/api/releases)
* Erweiterbarkeit: ?
* Geplante Entwicklung / Roadmap:
    * api: https://my.vikunja.cloud/lists/16/list

Überprüft am: 13.07.22

### sonstiges


## Notizen